Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04172 Gameplay Major Always Jan 6, 2011, 06:23 Feb 27, 2019, 17:20
Tester DRG View Status Public Platform MAMEUI
Assigned To Resolution Open OS
Status [?] Acknowledged Driver hvyunit.cpp
Version 0.141 Fixed in Version Build Normal
Summary 04172: All set in hvyunit.c: Enemies stop appearing during Stage 5-2.
Description In Stage 5-2, after a blue windmill like thing, the screen stops scrolling and there is no enemies. The game just stays in this screen, music and control of the ship works (even the background animation works) but no enemy appears, making impossible to advance any further. I waited a long time in case anything happens, but nothing.
Steps To Reproduce Just play the game until pass that blue windmill like thing.
Additional Information
Flags
Regression Version
Affected Sets / Systems All set in hvyunit.c
Attached Files
png file icon 0001.png (16,965 bytes) Jan 6, 2011, 11:49
png file icon 0002.png (17,378 bytes) Jan 6, 2011, 11:49
Relationships
There are no relationship linked to this issue.
Notes
12
User avatar
No.07016
Fujix
Administrator
Jan 6, 2011, 07:07
I played through with a cheat and the game didn't stay at the point.
A cheatish confirmation is not valid, if possible, could you post your inp recording without using a cheat?

Thank you.
User avatar
No.07018
Fujix
Administrator
Jan 6, 2011, 12:01
Confirmed the issue. Uploaded screenshots and sta.
User avatar
No.07019
Haze
Senior Tester
Jan 6, 2011, 17:07
edited on: Jan 6, 2011, 17:07
are you sure this isn't being caused BY the save state?

the driver doesn't officially support save states.

people have reported this as possible to finish..
User avatar
No.07020
Fujix
Administrator
Jan 6, 2011, 18:17
Yes, it's possible. Let me suspend the confirmation.
User avatar
No.07022
Layne
Tester
Jan 6, 2011, 20:37
Just played until that point *without cheats / save state* and I confirm the issue.
User avatar
No.07023
Kale
Developer
Jan 6, 2011, 22:47
Assigned at the attention of Phil for obvious reasons.
User avatar
No.08021
hap
Developer
Jan 9, 2012, 17:14
An easy way to reproduce:
Run the game with cheats enabled and fast forward to 5-1 ( http://cheat.retrogames.com/ ). After killing the 1st boss (gray thing with facemask), when you're at those blue blobs that all shoot in a specific direction, turn off cheats and die once. The game continues onward from 5-2, turn on cheats again and the bug as described above will happen.

The MCU rom is fine, and it's not a sync(quantum) problem.
Most probable cause is mermaid emulation not being 100% accurate.
User avatar
No.10038
Fujix
Administrator
Dec 2, 2013, 03:34
I got information on my site from "so" at http://www.e2j.net/bbs/bbs.cgi

The author says, to make the boss appear in 5-2, you have to get some power-ups for the main shot (maybe full power-ups?).
This game changes difficulty depends on how many power-ups you have, he says it should probably have to do with that.

So this is not a bug but an original behaviour.
User avatar
No.10044
NekoEd
Senior Tester
Dec 2, 2013, 18:39
It seems very strange to me that a released game would have such a nasty game-breaking bug. I propose reopening until we can compare against real hardware or do some kind of code analysis. It just doesn't feel right.
User avatar
No.10050
Haze
Senior Tester
Dec 3, 2013, 22:48
edited on: Dec 3, 2013, 22:50
yeah, I don't think this is what is described..

the bug happening here renders the game unplayable, the machine could be left in an infinite cycle doing nothing.. is it even possible to die? if not the game is broken and the machine would need to be rebooted.

this is a production game, not a prototype, so that seems to be unlikely

it is possible 5-2 has a special behavior, but I don't think it gets handled properly in MAME. Could be the MCU is wrong for this set and there should be extra commands? (seems unlikely if they're all marked mermaid tho)
User avatar
No.10051
NekoEd
Senior Tester
Dec 3, 2013, 23:46
I'm reopening this as Acknowledged, we're missing something here and I don't like it. Reopened because something just isn't right.
User avatar
No.16174
MetalGod
Senior Tester
Feb 27, 2019, 17:20
edited on: Feb 27, 2019, 17:21
Tested with rom hvyunitu (USA version, the last version added).
No cheats or savestates used.
The error is still there. It can be seen in 8:00 and 10:50